package org.micord.models;

import lombok.Setter;

import javax.xml.bind.annotation.XmlElement;

@Setter
public class SqlConnectionParams {

	private String jdbcHost;
	private String jdbcPort;
	private String jdbcUsername;
	private String jdbcPassword;
	private String jdbcDriverClassName;
	private String jdbcXaDataSourceClassName;
	private String jdbcXaDataSourcePoolSize;
	private String jdbcDatabase;

	@XmlElement(name = "JdbcXaDataSourcePoolSize")
	public String getJdbcXaDataSourcePoolSize() {
		return jdbcXaDataSourcePoolSize;
	}

	@XmlElement(name = "JdbcHost")
	public String getJdbcHost() {
		return jdbcHost;
	}

	@XmlElement(name = "JdbcPort")
	public String getJdbcPort() {
		return jdbcPort;
	}

	@XmlElement(name = "JdbcUsername")
	public String getJdbcUsername() {
		return jdbcUsername;
	}

	@XmlElement(name = "JdbcPassword")
	public String getJdbcPassword() {
		return jdbcPassword;
	}

	@XmlElement(name = "JdbcDriverClassName")
	public String getJdbcDriverClassName() {
		return jdbcDriverClassName;
	}

	@XmlElement(name = "JdbcXaDataSourceClassName")
	public String getJdbcXaDataSourceClassName() {
		return jdbcXaDataSourceClassName;
	}

	@XmlElement(name = "JdbcDatabase")
	public String getJdbcDatabase() {
		return jdbcDatabase;
	}

}